commit:     a36b653e92215770bd352e01878cab3935d35845
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 13 09:59:48 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Dec 13 14:05:28 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a36b653e

dev-python/testfixtures: Version Bump

Package-Manager: portage-2.2.26
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/testfixtures/Manifest                  |  1 +
 dev-python/testfixtures/testfixtures-4.7.0.ebuild | 60 +++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/dev-python/testfixtures/Manifest b/dev-python/testfixtures/Manifest
index fab032f..059e92e 100644
--- a/dev-python/testfixtures/Manifest
+++ b/dev-python/testfixtures/Manifest
@@ -4,3 +4,4 @@ DIST testfixtures-4.1.2.tar.gz 81689 SHA256 
bc27063ac9bce80ac99fe315f2b34053b113
 DIST testfixtures-4.3.3.tar.gz 86546 SHA256 
ffe66d08ef2fdc0be5e6abe1e1d51384ae941747d3df86d5d8238014b9161f62 SHA512 
918fd757c61e4f8b7aa54343036546efab8c014fdaaed1dc5edf6a4b0c636e00396a0400b87a28f0ae43cd318590bf63ff8240e59781f7e183fdd4ebbdac7100
 WHIRLPOOL 
7d4f2e75c39f8a8ac39cfc577515d9b5b11540b8337f63cb51d75250191d7bcea1d79515b581cb921c7dc273d781c264990118f7ee1cc5579ebd9341097546bf
 DIST testfixtures-4.4.0.tar.gz 87356 SHA256 
41096fe91c2939177f1729783bbfaef9e777ba44e7d8ff819ab1318d78beeba7 SHA512 
0fdb87e1fd8311cbab274f4db71ec76767cc9e2f771eefb1a110bf42b07e30fc9edbe2db124742b3102b8f114af2666b0b8726f6330871fd72c7ea2f535d5fed
 WHIRLPOOL 
8b5bb18b682f420ae4b66aa1da9ca0f312bff1974400b586cb2bcae635037e629352b37cfa2d1f8c7f91fd880e726c34d7f3aa532b2e04188f5f99ac7a69e2c1
 DIST testfixtures-4.6.0.tar.gz 87322 SHA256 
f58ffea34cf0972a3fddcd1873d594d02289587f0ea1d3c1327749f9258cf013 SHA512 
cd1e35c907d2f264976161f72c335cc136bec41dd56ee773920eae52a8553fbd7367c9218ba30acccd0a98c067a5aaf675655924f94da60cc190c608714b6bc2
 WHIRLPOOL 
64cb69d26217cf3748e87fc99029d586b20ee2ce13a8af98454cd33bd4121c021726cb7579b82dfead0b2a281e85fc3906a18ebd2c6a5b6c35c6b1eed49aaa1b
+DIST testfixtures-4.7.0.tar.gz 87453 SHA256 
214f986a1f590eb67434dd110cc5046f2ec9d6fe0fc9b8a2e7e8203bfe745220 SHA512 
7795ac4181018851f31360653e8f6766af2d96db1b453bd395fcdcb8d4ee02c3db644da7e6c83b170d0cca23f2c81f130b56dc086f3b2bb846ccb335cd18aa8e
 WHIRLPOOL 
d91def6902dbe297fd94dfc42d1d1b2dceedf851c67cbab771baeb5093bd95e0b03f41f22a68558a7dfde216f6e6d1afa347c7857327a15aa7d4722cae2add9d

diff --git a/dev-python/testfixtures/testfixtures-4.7.0.ebuild 
b/dev-python/testfixtures/testfixtures-4.7.0.ebuild
new file mode 100644
index 0000000..1d295a4
--- /dev/null
+++ b/dev-python/testfixtures/testfixtures-4.7.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} )
+
+inherit distutils-r1
+
+DESCRIPTION="A collection of helpers and mock objects for unit tests and doc 
tests"
+HOMEPAGE="https://pypi.python.org/pypi/testfixtures/ 
https://github.com/Simplistix/testfixtures";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? (
+               dev-python/sphinx[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 'dev-python/pkginfo[${PYTHON_USEDEP}]' 
python2_7 pypy )
+       )
+       test? (
+               dev-python/manuel[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+               dev-python/nose-cover3[${PYTHON_USEDEP}]
+               dev-python/nose_fixes[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' 
python2_7)
+       )"
+
+python_prepare_all() {
+       # Makefile comes set pointing at a wrong location
+       sed -e 's:../bin/sphinx-build:/usr/bin/sphinx-build:' -i docs/Makefile 
|| die
+       # Prevent un-needed download during build, fix Makefile for doc build
+       sed -e '/'sphinx.ext.intersphinx'/d' -i docs/conf.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_prepare() {
+       # remove test that tests the stripped zope-component 
test_components.ComponentsTests
+       rm -f testfixtures/tests/test_components.py || die
+
+       distutils-r1_python_prepare
+}
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       nosetests --verbose || die
+}
+
+python_install_all() {
+       use doc && HTML_DOCS=( docs/_build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to